<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>CSS Introduction</title>
	<!-- 
		external
			link tag is used to link external resources such as css or even fonts

			external css is the best implementation of css, because not only can we style multiple elements in page, we can also style multiple elements in multiple pages. It lessens load time for your HTML and its content.
	-->
	<link rel="stylesheet" type="text/css" href="./index.css">


	<!-- 
		internal css
			We can apply style to multiple elements in a single page.
			It makes your code and html longer to display

	 -->
		 
			
	<!-- 		
		<style type="text/css">
	 		h1 {
	 			color:  pink;
	 			}
	 	</style> 
 	-->	
</head>
<body>
	<!-- 
		Inline CSS/Styling

		Inline styling is the implementation of style to an html element through the style attribute.

		The values of the style attribute are the properties of an element we can style.
		The value before the colon(:) is the element's property
		The property's value is added after the colon

		Syntax:
		<tag style="property:value;">text</tag>

		CSS Stylings or rules ends in a semi-colon. Failing to do so makes your CSS erroneous and even affects other properties and rules you may add.

		The bulkier your code becomes because of inline css or styling, the more prone it is for errors.

		The longer and bulkier your html file gets the slower it is to load and display your content.

		<h1 style="color:red;font-size: 50px;background-color: yellow;">Welcome to the World of CSS!</h1>

		Priority Level:
		Inline CSS > Internal CSS > External CSS
		!important adds more priority to a declaration
	 -->
	 <!-- nav bar -->
	 <nav id="top">
	 	<a href="#landing">Zuitt</a>
	 	<div>
	 		<a href="#landing">Landing</a>
	 		<a href="#register">Register</a>
	 	</div>
	 </nav>
	 <!-- end of nav bar -->
	<h1>Hello World</h1>

	 <section id="landing">
	 	<h2>Welcome to Zuitt!</h2>
	<!-- id attribute allows us to add a unique identifier to particular element -->
	<h3 id="zuitt-motto">Opportunities for Everyone, Everywhere!</h3>
	<img src="https://place-puppy.com/450x450">

	<!-- 
		class attribute allows us to group elements and style them together. Meaning any element with the same class can be styled and designed together. We can create our own classes.
	 -->

	<ol id="bootcamp-learning-list">
		<li class="offering-item">Day Classes</li>
		<li class="offering-item">Night Classes</li>
		<li class="offering-item">Intro to Coding Events</li>
	</ol>
		<a href="#top">Back to Top</a>
	 </section>
	
	<!-- You can add an element's id as an href for an anchor to be able to navigate to particular element within your page. -->
	<section id="register">
		<!-- register -->
		<h2>Register</h2>

	<form>
		<label for="first-name">First Name</label>
		<input type="text" id="first-name" required autocomplete>
		
		<label for="last-name">Last Name</label>
		<input type="text" id="last-name" required autocomplete>
		
		<label for="email">Email</label>
		<input type="email" id="email" required autocomplete>

		<button type="submit">Apply Now</button>
	</form>

	<a href="#top">Back to Top</a>
	</section>

	


</body>
</html>